#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1997 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
BUILDPREFIX=${BUILDPREFIX-`pwd`}
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
   shift
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../COMMON/GUESS UPPER`
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir delete
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib

cd $BUILDPREFIX/delete

#
# First build the com_err libraries and compile_et compiler 
#
cat $SOURCEDIR/DELETE/COM_ERR.Z | uncompress | tar xvf -
cd com_err
cp Makefile.bak Makefile
cp mit-sipb-copyright.h mit-copying.h
cp error_message.c err_message.c
test -f  $SOURCEDIR/DELETE/$MACHINE/COM_ERR &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/DELETE/$MACHINE/COM_ERR | patch -s -p -b .rtr )
make

#
# Now build delete
#
cd ..
mkdir delete
cd $BUILDPREFIX/delete/delete
for file in $SOURCEDIR/DELETE/*PART* ; do
zcat $file | unshar
done
cp mit-copyright.h mit-copying.h
cat  $SOURCEDIR/DELETE/PATCH13.Z | uncompress  | patch -s -p0
cat  $SOURCEDIR/DELETE/PATCH14.Z | uncompress  | patch -s -p0
(sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/DELETE/RTR/DELETE. | patch -s -p )
test -f  $SOURCEDIR/DELETE/$MACHINE/DELETE &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/DELETE/$MACHINE/DELETE | patch -s -p -b .rtr )
make
make install

cd ..
cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/delete ; fi
