#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1997 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
BUILDPREFIX=${BUILDPREFIX-`pwd`}
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
   shift
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../common/guess. `
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir emacs
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib

cd $BUILDPREFIX/emacs
cat $SOURCEDIR/emacs/em1931gz. | uncompress | tar xvf -
cd emacs-19.31
test -f $SOURCEDIR/emacs/rtr/emacs. &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/emacs/rtr/emacs. | patch -s -p )
test -f  $SOURCEDIR/emacs/$machine/emacs. &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/emacs/.`machname`patch | patch -b .rtr -s -p )
.emacs
case `machname` in
sun386i) configure -prefix=$INSTALLDIR  \
sun386
;;
xenix) # using gcc 1.40 (execept for profile)
configure -prefix=$INSTALLDIR i386-sco-xenix
;;
hp700) configure --with-x-toolkit -prefix=$INSTALLDIR \
--x-includes=/usr/local/xutR5 --x-libraries=/usr/local/xutR5 
;;
sun4c) configure --with-x-toolkit -prefix=$INSTALLDIR \
--x-includes=/usr/openwin/include --x-libraries=/usr/openwin/lib sparc-sun-sunos4
;;
SSol2) configure --with-x-toolkit -prefix=$INSTALLDIR \
--x-includes=/usr/openwin/include --x-libraries=/usr/openwin/lib sparc-sun-solaris2
;;
iSol2) configure --with-x-toolkit -prefix=$INSTALLDIR \
--x-includes=/usr/openwin/include --x-libraries=/usr/openwin/lib i386-sun-solaris2
;;
alpha) configure --with-x-toolkit -prefix=$INSTALLDIR \
--with-gcc=no alpha-dec-osf1
;;
i386) configure -prefix=$INSTALLDIR \
--x-libraries=$INSTALLDIR/lib
;;
sun3) configure -prefix=$INSTALLDIR \
--x-includes=/usr/openwin/include --x-libraries=/usr/openwin/lib m68k-sun-sunos4
;;
RS6000) configure --with-x-toolkit -prefix=/////////////////////////////// ///////////////////////////////////////////$INSTALLDIR --with-gcc=no
make CFLAGS=-O
;;
uware)  NON_GNU_CPP=/usr/local/lib/gcc-lib/i386v4/2.7.2/cpp configure --with-x-toolkit -prefix=$INSTALLDIR i386-unixware --with-gcc=no
;;
sco5)  configure --with-x-toolkit -prefix=$INSTALLDIR i486-unknown-sco3.2v4
;;
*)     configure --with-x-toolkit -prefix=$INSTALLDIR --with-x
esac
make
make install-arch-dep
rm $INSTALLDIR/bin/emacs
''ln $INSTALLDIR/bin/emacs-19.31 $INSTALLDIR/bin/emacs

find $INSTALLDIR/* -name \*.orig -exec rm -f {} \;
if test `machname` = "RS6000"; then
else
fi

make install-arch-indep
cp $SOURCEDIR/emacs/dir. $INSTALLSHAREDIR/${SHAREPREFIX}lib/emacs/info
find $INSTALLDIR/* -name \*.orig -exec rm -f {} \;
cd ..

cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/emacs ; fi
