#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1997 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
BUILDPREFIX=${BUILDPREFIX-`pwd`}
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
   shift
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../common/guess `
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir lndir
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib

cd $BUILDPREFIX/lndir
mkdir lndir
cd $BUILDPREFIX/lndir/lndir
cat  $SOURCEDIR/lndir/lndir.z | uncompress  | unshar

test -f $SOURCEDIR/lndir/$machine/lndir &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/lndir/$machine/lndir | patch -s -p -b .rtr  )
make
install -s lndir $INSTALLDIR/bin

cd ..
cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/lndir ; fi
